Skip to main content
POST
/
api2
/
v4
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
qualityAssurances
/
run
Run quality assurance v4
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/run \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "initialSegment": {
    "uid": "<string>"
  },
  "maxQaWarningsCount": 500,
  "warningTypes": []
}
'
{
  "finished": true,
  "segmentWarnings": [
    {
      "ignoredChecks": [
        "<string>"
      ],
      "segmentId": "<string>",
      "warnings": [
        {
          "type": "<string>",
          "id": "<string>",
          "ignored": true,
          "repetitionGroupId": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

jobUid
string
required

UID of the job

Body

application/json

QA run configuration

initialSegment
object
maxQaWarningsCount
integer<int32>

Maximum number of QA warnings in result, default: 100. For efficiency reasons QA warnings are processed with minimum segments chunk size 10, therefore slightly more warnings are returned.

Required range: 1 <= x <= 1000
warningTypes
enum<string>[]

Filter results to these warning types; when empty, all types are returned

Maximum array length: 100
Available options:
EmptyTranslation,
TrailingPunctuation,
Formatting,
JoinTags,
MissingNumbersV3,
MultipleSpacesV3,
NonConformingTerm,
NotConfirmed,
TranslationLength,
AbsoluteLength,
RelativeLength,
UnresolvedComment,
EmptyPairTags,
InconsistentTranslationTargetSource,
InconsistentTranslationSourceTarget,
ForbiddenString,
SpellCheck,
RepeatedWord,
InconsistentTagContent,
EmptyTagContent,
Malformed,
ForbiddenTerm,
NewerAtLowerLevel,
LeadingAndTrailingSpaces,
LeadingSpaces,
TrailingSpaces,
TargetSourceIdentical,
SourceOrTargetRegexp,
UnmodifiedFuzzyTranslation,
UnmodifiedFuzzyTranslationTM,
UnmodifiedFuzzyTranslationMTNT,
Moravia,
ExtraNumbersV3,
UnresolvedConversation,
NestedTags,
FuzzyInconsistencyTargetSource,
FuzzyInconsistencySourceTarget,
CustomQA,
MissingNonTranslatableAnnotation

Response

OK

finished
boolean

True if all QA checks completed; false if truncated by maxQaWarningsCount

segmentWarnings
object[]

Warnings grouped by segment; only segments with warnings are included